Package org.apache.tapestry5.http

# Enum CorsHandlerResult

java.lang.Object
java.lang.Enum<CorsHandlerResult>
org.apache.tapestry5.http.CorsHandlerResult

All Implemented Interfaces:
  `Serializable`, `Comparable<CorsHandlerResult>`, `java.lang.constant.Constable`

public enum CorsHandlerResult extends Enum<CorsHandlerResult>
Enumeration that defines the possible outcomes of `CorsHandler.handle(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`

Since:
  5.8.2
See Also:
  - `CorsHandler`
  - `CorsHttpServletRequestFilter`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONTINUE_CORS_PROCESSING`
  The next CorsHandler should be called.
  `CONTINUE_REQUEST_PROCESSING`
  No other CorsHandler should be called and request processing should resume (i.e.
  `STOP_REQUEST_PROCESSING`
  The request processing should stop immediately.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CorsHandlerResult`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CorsHandlerResult[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTINUE_CORS_PROCESSING

    public static final CorsHandlerResult CONTINUE_CORS_PROCESSING
    The next CorsHandler should be called. Usually returned when the CORS handler didn't actually processed the request.

  - ### CONTINUE_REQUEST_PROCESSING

    public static final CorsHandlerResult CONTINUE_REQUEST_PROCESSING
    No other CorsHandler should be called and request processing should resume (i.e. CorsHttpServletRequestFilter calls `HttpServletRequestFilter.service(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, org.apache.tapestry5.http.services.HttpServletRequestHandler)`. Usually returned when the handler actually processed the request.

  - ### STOP_REQUEST_PROCESSING

    public static final CorsHandlerResult STOP_REQUEST_PROCESSING
    The request processing should stop immediately. Usually used with CORS preflight requests.

- ## Method Details

  - ### values

    public static CorsHandlerResult[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CorsHandlerResult valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null